Class UmlBaseSequenceMessage

this class manages messages in a sequence diagram

Declaration :

- C++ : class UmlBaseSequenceMessage : public UmlMessage
- Java : class UmlBaseSequenceMessage extends UmlMessage implements java.lang.Comparable

Directly inherited by : UmlSequenceMessage

Artifact : UmlBaseSequenceMessage

Operation kind

return kind of the message

Declaration :

- Uml : + kind() : aMessageKind
- C++ : public: aMessageKind kind() const
- Java : public aMessageKind kind()

Operation fragment

return the fragment compartment containing the message

Declaration :

- Uml : + fragment() : UmlFragmentCompartment
- C++ : public: UmlFragmentCompartment * fragment() const
- Java : public UmlFragmentCompartment fragment()

Operation sentAt

return when the message is sent (arbitrary unit)

Declaration :

- Uml : + sentAt() : int
- C++ : public: int sentAt() const
- Java : public int sentAt()

Operation receivedAt

return when the message is received (arbitrary unit)

Declaration :

- Uml : + receivedAt() : int
- C++ : public: int receivedAt() const
- Java : public int receivedAt()

Operation arguments

return the arguments of the operation, may be empty

Declaration :

- Uml : + arguments() : string
- C++ : public: const QCString & arguments() const
- Java : public String arguments()

Operation compareTo

Declaration :

- Uml : + compareTo(in other : Object) : int
- Java : public final int compareTo(Object other)

Relation _kind (<directional composition>)

Declaration :

- Uml : - _kind : aMessageKind
- C++ : private: aMessageKind _kind
- Java : private aMessageKind _kind

Relation _fragment (<unidirectional association>)

Declaration :

- Uml : - _fragment : UmlFragmentCompartment
- C++ : private: UmlFragmentCompartment * _fragment
- Java : private UmlFragmentCompartment _fragment

Attribut _x

Declaration :

- Uml : - _x : int
- C++ : private: int _x
- Java : private int _x

Attribut _send_at

Declaration :

- Uml : - _send_at : int
- C++ : private: int _send_at
- Java : private int _send_at

Attribut _received_at

Declaration :

- Uml : - _received_at : int
- C++ : private: int _received_at
- Java : private int _received_at

Attribut _args

Declaration :

- Uml : - _args : string
- C++ : private: QCString _args
- Java : private String _args

Operation read_

internal, don't call it

Declaration :

- Uml : + read_(in instances : UmlClassInstanceReference, in fragments : UmlFragment) : void
- C++ : private: void read_(const QPtrDict<UmlClassInstanceReference> & instances, const QVector<UmlFragment> & fragments)
- Java : public void read_(Hashtable instances, UmlFragment[] fragments)

Extra Class Member friend

Definition :

- C++ :

        friend class UmlBaseSequenceDiagramDefinition;

All public operations : arguments , compareTo , form , fragment , from , kind , operation , read_ , read_ , receivedAt , sentAt , to